org.apache.hadoop.mapreduce

## Enum FileSystemCounter

- java.lang.Object
- - java.lang.Enum<FileSystemCounter>
  - - org.apache.hadoop.mapreduce.FileSystemCounter

- All Implemented Interfaces:
    Serializable, Comparable<FileSystemCounter>

      @InterfaceAudience.Private
      public enum FileSystemCounter
      extends Enum<FileSystemCounter>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BYTES_READ`
    `BYTES_READ_EC`
    `BYTES_WRITTEN`
    `LARGE_READ_OPS`
    `READ_OPS`
    `WRITE_OPS`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static FileSystemCounter` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static FileSystemCounter[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### BYTES_READ

          public static final FileSystemCounter BYTES_READ

    - #### BYTES_WRITTEN

          public static final FileSystemCounter BYTES_WRITTEN

    - #### READ_OPS

          public static final FileSystemCounter READ_OPS

    - #### LARGE_READ_OPS

          public static final FileSystemCounter LARGE_READ_OPS

    - #### WRITE_OPS

          public static final FileSystemCounter WRITE_OPS

    - #### BYTES_READ_EC

          public static final FileSystemCounter BYTES_READ_EC

  - ### Method Detail

    - #### values

          public static FileSystemCounter[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (FileSystemCounter c : FileSystemCounter.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static FileSystemCounter valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.